Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040370
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2019-03-13 09:502019-03-29 13:07
ReporterJONHMView Statuspublic 
Assigned Tojarmendariz 
PriorityhighResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revisiona0588dfa7203
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040370: Problems saving records in grid mode having summary functions set

DescriptionThere are problems when saving records in grid mode having summary functions set and using keyboard shortcuts to save the record. Some values dissapears in the UI when creating new lines in grid mode.
Steps To Reproduce* See attached video with the steps to reproduce
- Open Attribute window and create a new one
- Switch to lines tab and set summary function 'Count'
- Create a new line in grid view, also use keyboard shorcuts to navigate and save (Tab key to navigate through fields and enter key to save):
http://wiki.openbravo.com/wiki/User_Interface_Introduction#Keyboard_Shortcuts [^]
- Once saved, create another line. Notice that the previous one has one field missing
TagsNo tags attached.
Attached Files? file icon Screencast 2019-03-13 09:40:44.mp4 [^] (1,986,160 bytes) 2019-03-13 09:50

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0110645)
hgbot (developer)
2019-03-26 09:13

Repository: erp/devel/pi
Changeset: a0588dfa7203273641ec7d6a3579f5040793d588
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Mon Mar 25 16:38:38 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a0588dfa7203273641ec7d6a3579f5040793d588 [^]

Fixed issue 40370: Problem saving record in grid mode with summary function.

This patch prevents the update of editor value while fetching the summary row
and the entry is still in edit mode, even though the entry is already saved.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0110891)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test
(0110926)
AugustoMauch (developer)
2019-03-29 13:07

Code reviewed and verified

- Issue History
Date Modified Username Field Change
2019-03-13 09:50 JONHM New Issue
2019-03-13 09:50 JONHM Assigned To => platform
2019-03-13 09:50 JONHM File Added: Screencast 2019-03-13 09:40:44.mp4
2019-03-13 09:50 JONHM Modules => Core
2019-03-13 09:50 JONHM Triggers an Emergency Pack => No
2019-03-25 16:36 jarmendariz Assigned To platform => jarmendariz
2019-03-25 16:36 jarmendariz Status new => scheduled
2019-03-26 09:13 hgbot Checkin
2019-03-26 09:13 hgbot Note Added: 0110645
2019-03-26 09:13 hgbot Status scheduled => resolved
2019-03-26 09:13 hgbot Resolution open => fixed
2019-03-26 09:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a0588dfa7203273641ec7d6a3579f5040793d588 [^]
2019-03-26 09:15 jarmendariz Review Assigned To => AugustoMauch
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110891
2019-03-29 13:07 AugustoMauch Note Added: 0110926
2019-03-29 13:07 AugustoMauch Status resolved => closed
2019-03-29 13:07 AugustoMauch Fixed in Version => 3.0PR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker